UMASS(4)

NAME
umass - USB Mass Storage Devices driver

SYNOPSIS
device da
device scbus
device pass
device usb
device umass

In loader.conf(5):
umass_load

DESCRIPTION
The umass driver provides support for Mass Storage devices that attach to the USB interface.

If the appropriate hardware is detected, the driver will be loaded automatically by devmatch(8). To load the driver manually at boot time, use the umass_load command at the loader(8) prompt, or add it to loader.conf(5).

To use the driver in a custom kernel, usb(4) and at least one of uhci(4), ohci(4), ehci(4), or xhci(4) must be configured in the kernel. Additionally, since umass uses the SCSI subsystem and sometimes acts as a SCSI device, it requires da(4) and scbus(4) to be included in the kernel.

HARDWARE
The umass driver supports USB Mass Storage devices such as:

•   USB thumb drives
•   USB hard disk drives
•   USB floppy drives

EXAMPLES
Rescan all slots on a multi-slot flash reader, where the slots map to separate LUNs on a single SCSI ID:

    camcontrol rescan 0:0:0
    camcontrol rescan 0:0:1
    camcontrol rescan 0:0:2
    camcontrol rescan 0:0:3

Typically only the first slot will be enabled at boot time. This assumes that the flash reader is the first SCSI bus in the system and has 4 slots.

SEE ALSO
cfumass(4), ehci(4), ohci(4), uhci(4), usb(4), xhci(4), camcontrol(8)

HISTORY
The umass driver appeared in FreeBSD 4.3.

AUTHORS
-nosplit The umass driver was written by MAEKAWA Masahide <bishop@rr.iij4u.or.jp> and Nick Hibma <n_hibma@FreeBSD.org>.

This manual page was written by Nick Hibma <n_hibma@FreeBSD.org>.